// THIS IS THE CALLBACK FUNCTION FOR EXPONENTIAL FIT (y = a * exp(b*x) )
function ExponentialBtn_callback()
    global handles
    [x,y] =  Data()
    dx = (max(x)- min(x))/5
    X = linspace(min(x)-dx,max(x)+dx,1000)
    Xnew = x 
    Ynew = log( y )
    n = length ( Xnew )
    b  = ( n * sum ( Xnew .* Ynew ) - sum ( Xnew )* sum ( Ynew ) ) /( n* sum ( Xnew .* Xnew ) - ( sum ( Xnew) ) ^2 )
    lna = sum ( Ynew ) / n - b *sum( Xnew ) / n
    a = exp( lna )
    Y = a*exp(b*X);
    // ploting the experimental data and fitted data and labeling the graph
    plot(X,Y,'g');
    legend('Experimental data',msprintf("y = %0.4G exp(%0.4G x) (Fitted Curve)",a,b),-6)
    printf("\n---------------- Least Squre Exponential Fitting --------------------\n")
    printf ( " \n The exponential function obtained is \n y = %0.4G exp(%0.4G x)",a , b );

endfunction
