// THIS IS THE CALLBACK FUNCTION FOR POLYNOMIAL FIT BUTTON (Y = a1 + a2 * x + a3 * x^2 + ......)
function PolynomialFitBtn_Callback()
    global handles
    [x,y] =  Data()
    dx = (max(x)- min(x))/5
    X = linspace(min(x)-dx,max(x)+dx,1000)
    n = length ( x )
    porder = get(handles.PolyOrderEntry,'string')
    o = evstr(porder)
    m = o+1
    if o == [] then
        messagebox("Please Enter the order of the polynomial", "Error!!","error")
        ClearGraph()
        error("Please Enter the order of the polynomial")
    elseif n<=o 
        messagebox("Fitting is not possible please enter more data points ", "Error!!", "error")
        error("For polynomial fitting number of data points must be greater than order of polynomial")
    else
        for j = 1: m
            for k = 1: m
                C (j , k) = sum ( x .^( j+k -2) )
            end
            B ( j ) = sum( y .*( x .^( j -1 ) ) )
        end
        A = inv(C)*B
        Y = poly(A, "X",  "coeff")
        S = sci2exp(Y)
        plot(X,evstr(S),'r')
        printf("\n---------------- Least Squre Polynomial Fitting --------------------\n\n")
        disp(sci2exp(A'), "cofficents of polynomial")
        disp(Y,"The Polynomial equation obtained is:")
        legend('Experimental data',S,-6)
    end
endfunction
